<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__abstraction__rtos__common" kind="group">
    <compoundname>group_abstraction_rtos_common</compoundname>
    <title>Common</title>
    <innergroup refid="group__group__abstraction__rtos__port">RTOS Specific Types and Defines</innergroup>
      <sectiondef kind="user-defined">
      <memberdef id="group__group__abstraction__rtos__common_1gaf58fac450d9fff4472f03ad68f6e546e" kind="define" prot="public" static="no">
        <name>CY_RSLT_SUCCESS</name>
        <initializer>((cy_rslt_t)0x00000000U)</initializer>
        <briefdescription>
<para>Return value indicating success. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cyabs_rtos.h" bodystart="70" column="9" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cyabs_rtos.h" line="70" />
      </memberdef>
      <memberdef id="group__group__abstraction__rtos__common_1gab31d8535128df9506a4220c2b1f41a60" kind="define" prot="public" static="no">
        <name>CY_RTOS_NEVER_TIMEOUT</name>
        <initializer>( (uint32_t)0xffffffffUL )</initializer>
        <briefdescription>
<para>Used with RTOS calls that require a timeout. </para>        </briefdescription>
        <detaileddescription>
<para>This implies the call will never timeout. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cyabs_rtos.h" bodystart="74" column="9" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cyabs_rtos.h" line="74" />
      </memberdef>
      <memberdef id="group__group__abstraction__rtos__common_1gafc6a1c6f563521d6c5555027d5d7bde8" kind="define" prot="public" static="no">
        <name>CY_RTOS_TIMEOUT</name>
        <initializer>CY_RSLT_CREATE(CY_RSLT_TYPE_ERROR, CY_RSLT_MODULE_ABSTRACTION_OS, 0)</initializer>
        <briefdescription>
<para>Requested operation did not complete in the specified time. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cyabs_rtos.h" bodystart="83" column="9" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cyabs_rtos.h" line="83" />
      </memberdef>
      <memberdef id="group__group__abstraction__rtos__common_1ga516d500bef7d6e6291f08485d0bc003b" kind="define" prot="public" static="no">
        <name>CY_RTOS_NO_MEMORY</name>
        <initializer>CY_RSLT_CREATE(CY_RSLT_TYPE_ERROR, CY_RSLT_MODULE_ABSTRACTION_OS, 1)</initializer>
        <briefdescription>
<para>The RTOS could not allocate memory for the specified operation. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cyabs_rtos.h" bodystart="85" column="9" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cyabs_rtos.h" line="85" />
      </memberdef>
      <memberdef id="group__group__abstraction__rtos__common_1ga89a0a071bd7a41b5d1f3edb969ee1647" kind="define" prot="public" static="no">
        <name>CY_RTOS_GENERAL_ERROR</name>
        <initializer>CY_RSLT_CREATE(CY_RSLT_TYPE_ERROR, CY_RSLT_MODULE_ABSTRACTION_OS, 2)</initializer>
        <briefdescription>
<para>An error occured in the RTOS. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cyabs_rtos.h" bodystart="87" column="9" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cyabs_rtos.h" line="87" />
      </memberdef>
      <memberdef id="group__group__abstraction__rtos__common_1ga3b106a6fcedd377b05769dbf2b6f97a9" kind="define" prot="public" static="no">
        <name>CY_RTOS_BAD_PARAM</name>
        <initializer>CY_RSLT_CREATE(CY_RSLT_TYPE_ERROR, CY_RSLT_MODULE_ABSTRACTION_OS, 5)</initializer>
        <briefdescription>
<para>A bad argument was passed into the APIs. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cyabs_rtos.h" bodystart="89" column="9" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cyabs_rtos.h" line="89" />
      </memberdef>
      <memberdef id="group__group__abstraction__rtos__common_1ga7eac5e076f6f4b70e3478b507a9d90f2" kind="define" prot="public" static="no">
        <name>CY_RTOS_ALIGNMENT_ERROR</name>
        <initializer>CY_RSLT_CREATE(CY_RSLT_TYPE_ERROR, CY_RSLT_MODULE_ABSTRACTION_OS, 6)</initializer>
        <briefdescription>
<para>A memory alignment issue was detected. </para>        </briefdescription>
        <detaileddescription>
<para>Ensure memory provided is aligned per <ref kindref="member" refid="group__group__abstraction__rtos__port_1ga03f4b97a8323f791fe6b8113bac20610">CY_RTOS_ALIGNMENT_MASK</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cyabs_rtos.h" bodystart="91" column="9" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cyabs_rtos.h" line="91" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__abstraction__rtos__common_1ga52e77b28b8cf8f45a73fce92cf8bd379" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__abstraction__rtos__port_1ga0161131d68376463dd91d0a2dfc39c60">cy_rtos_error_t</ref></type>
        <definition>cy_rtos_error_t cy_rtos_last_error</definition>
        <argsstring>()</argsstring>
        <name>cy_rtos_last_error</name>
        <briefdescription>
<para>Return the last error from the RTOS. </para>        </briefdescription>
        <detaileddescription>
<para>The functions in the RTOS abstraction layer adhere to the Cypress return results calling convention. The underlying RTOS implementations will not but rather will have their own error code conventions. This function is provided as a service to the developer, mostly for debugging, and returns the underlying RTOS error code from the last RTOS abstraction layer that returned <ref kindref="member" refid="group__group__abstraction__rtos__common_1ga89a0a071bd7a41b5d1f3edb969ee1647">CY_RTOS_GENERAL_ERROR</ref>.</para><para><simplesect kind="return"><para>RTOS specific error code. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cyabs_rtos.h" line="166" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>General types and defines for working with the RTOS abstraction layer. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>